Package jakarta.security.auth.message

# Interface MessagePolicy.ProtectionPolicy

Enclosing class:
  MessagePolicy

public static interface MessagePolicy.ProtectionPolicy

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AUTHENTICATE_CONTENT`
`static final String`
`AUTHENTICATE_RECIPIENT`
`static final String`
`AUTHENTICATE_SENDER`

## Method Summary

Modifier and Type
Method
Description
`String`
`getID()`

## Field Details

### AUTHENTICATE_SENDER

static final String AUTHENTICATE_SENDER

See Also:
  - Constant Field Values

### AUTHENTICATE_CONTENT

static final String AUTHENTICATE_CONTENT

See Also:
  - Constant Field Values

### AUTHENTICATE_RECIPIENT

static final String AUTHENTICATE_RECIPIENT

See Also:
  - Constant Field Values

## Method Details

### getID

String getID()